Skip to main content
GET
/
v1
/
audit
/
entries
List audit entries
curl --request GET \
  --url https://grantex-auth-dd4mtrt2gq-uc.a.run.app/v1/audit/entries \
  --header 'Authorization: Bearer <token>'
{
  "entries": [
    {
      "entryId": "<string>",
      "agentId": "<string>",
      "agentDid": "<string>",
      "grantId": "<string>",
      "principalId": "<string>",
      "developerId": "<string>",
      "action": "<string>",
      "metadata": {},
      "hash": "<string>",
      "prevHash": "<string>",
      "timestamp": "2023-11-07T05:31:56Z",
      "status": "success"
    }
  ]
}

Authorizations

Authorization
string
header
required

Developer API key

Query Parameters

agentId
string
grantId
string
principalId
string
action
string

Response

200 - application/json

Audit entries

entries
object[]